Skip to main content
GET
/
webhooks
/
events
curl -X GET "https://api.dataforb2b.ai/webhooks/events?limit=10" \
  -H "api_key: YOUR_api_key"
[
  {
    "id": 42,
    "member_identity": "ACoAADxnv0oB_dN-NfpvEBlsVPU_W1omM-Xu24o",
    "event_type": "company_changed",
    "old_value": {
      "company_name": "Google",
      "company_id": "org_abc123",
      "linkedin_url": "https://www.example.com/company/google",
      "title": "Software Engineer"
    },
    "new_value": {
      "company_name": "Meta",
      "company_id": "org_def456",
      "linkedin_url": "https://www.example.com/company/meta",
      "title": "Senior Engineer"
    },
    "created_at": "2026-03-30T18:30:00.000000"
  },
  {
    "id": 41,
    "member_identity": "ACoAADxnv0oB_dN-NfpvEBlsVPU_W1omM-Xu24o",
    "event_type": "open_to_work_changed",
    "old_value": {
      "is_open_to_work": false
    },
    "new_value": {
      "is_open_to_work": true
    },
    "created_at": "2026-03-30T17:00:00.000000"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dataforb2b.ai/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
number
default:"50"
Maximum number of events to return
offset
number
default:"0"
Number of events to skip (for pagination)

Response

Returns an array of event objects.
id
number
Event ID
member_identity
string
The member identity of the profile that changed
event_type
string
Type of change detected. One of: company_changed, position_changed, position_ended, new_company, open_to_work_changed, hiring_changed
old_value
object | null
Previous state before the change
new_value
object | null
New state after the change (same structure as old_value)
created_at
string
ISO 8601 timestamp when the event was detected
curl -X GET "https://api.dataforb2b.ai/webhooks/events?limit=10" \
  -H "api_key: YOUR_api_key"
[
  {
    "id": 42,
    "member_identity": "ACoAADxnv0oB_dN-NfpvEBlsVPU_W1omM-Xu24o",
    "event_type": "company_changed",
    "old_value": {
      "company_name": "Google",
      "company_id": "org_abc123",
      "linkedin_url": "https://www.example.com/company/google",
      "title": "Software Engineer"
    },
    "new_value": {
      "company_name": "Meta",
      "company_id": "org_def456",
      "linkedin_url": "https://www.example.com/company/meta",
      "title": "Senior Engineer"
    },
    "created_at": "2026-03-30T18:30:00.000000"
  },
  {
    "id": 41,
    "member_identity": "ACoAADxnv0oB_dN-NfpvEBlsVPU_W1omM-Xu24o",
    "event_type": "open_to_work_changed",
    "old_value": {
      "is_open_to_work": false
    },
    "new_value": {
      "is_open_to_work": true
    },
    "created_at": "2026-03-30T17:00:00.000000"
  }
]